> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/add-a-proxy-in-devolutions-server.md).

# Ajouter un proxy dans Devolutions Server

Pour ajouter un proxy dans Devolutions Server, vous devez ajouter quelques lignes de commande au fichier **web.config**.

1. Localisez et ouvrez le fichier **web.config**. Son emplacement par défaut est **C:\inetpub\wwwroot\dvls\web.config**.
2. Dans le fichier, localisez les balises `<environmentVariables>` et `</environmentVariables>`.
3. Ajoutez le code suivant entre elles, en remplaçant les valeurs par vos informations :

   ```
   <environmentVariable name="http_proxy" value="myproxyaddress"/>
   <environmentVariable name="https_proxy" value="myproxyaddress"/>
   ```

{% hint style="info" %}
Pour plus d'options, consultez [Configure using environment variables](https://learn.microsoft.com/en-ca/dotnet/azure/sdk/configure-proxy?tabs=cmd#configure-using-environment-variables).
{% endhint %}

4\. Enregistrez et fermez le fichier.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/add-a-proxy-in-devolutions-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
